> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.mysoleas.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Read the user profile

> Retrieve claims for the user signed in with Mysoleas.

Use `userinfo` after an OAuth2 sign-in to display or synchronize the profile of the signed-in user.

Returned claims can include the user identifier, email, verification status, merchant tenant, and information useful to the application context.


## OpenAPI

````yaml en/api-reference/openapi.json GET /oauth/v2/userinfo
openapi: 3.1.0
info:
  title: Mysoleas API
  version: 3.0.0
  description: >-
    New Mysoleas architecture: business gateway, Mysoleas Identity Cloud, and
    SoleasPay ecosystem.
servers:
  - url: https://api.mysoleas.com
    description: Mysoleas gateway
  - url: https://account.mysoleas.com
    description: Mysoleas authentication
security:
  - spAuthToken: []
tags:
  - name: Identity Cloud
  - name: Plugin
  - name: Payment links
  - name: Subscriptions
  - name: Collections
  - name: Disbursements
  - name: Verification
  - name: Catalog
paths:
  /oauth/v2/userinfo:
    get:
      tags:
        - Identity Cloud
      summary: Read user claims
      responses:
        '200':
          description: User claims
          content:
            application/json:
              example:
                sub: user_123
                api_key: spk_live_xxx
                email: merchant@example.com
                email_verified: true
                tenant_id: tenant_123
                tier: 6
        '401':
          $ref: '#/components/responses/Unauthorized'
      servers:
        - url: https://account.mysoleas.com
components:
  responses:
    Unauthorized:
      description: Authentification invalide ou manquante
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    ErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          example: false
        code:
          type: integer
          example: 400
        message:
          type: string
          example: empty_data
        error:
          type: object
          properties:
            details:
              type:
                - object
                - array
                - string
                - 'null'
  securitySchemes:
    spAuthToken:
      type: apiKey
      in: header
      name: x-sp-auth-token
      description: >-
        JWT Bearer emis par Mysoleas Identity Cloud. Format: Bearer
        <access_token>.

````